/*
******************************************************************************

   Edemo extension stubs.

   Authors:	1999 Marcus Sundberg	[marcus@ggi-project.org]
  
   This code is placed in the public domain and may be used freely for any
   purpose.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <ggi/internal/edemo.h>


int edemoFunction1(ggi_visual_t vis, int arg1)
{
	printf("LibEDEMO: edemoFunction1(%p, %d) called\n",
	       vis, arg1);

	return LIBGGI_EDEMOEXT(vis)->function1(vis, arg1);
}	/* edemoFunction1 */


int edemoFunction2(ggi_visual_t vis, int arg1, int arg2)
{
	printf("LibEDEMO: edemoFunction2(%p, %d, %d) called\n",
	       vis, arg1, arg2);

	return LIBGGI_EDEMOEXT(vis)->function2(vis, arg1, arg2);
}	/* edemoFunction2 */
